/* /Components/Layout/HomeFooter.razor.rz.scp.css */
.footerStyle[b-a5yb1dxk3y] {
    background: linear-gradient(to right,rgba(181,53,132,.1)0%,rgba(161,42,247,.1)20%, rgba(25,25,112,.1) 100%);
    color: var(--cf-light-color);
}

.footerStyle a[b-a5yb1dxk3y] {
    color: var(--cf-theme-200);
}

.footerStyle a:hover[b-a5yb1dxk3y] {
    color: var(--cf-theme-core);
}

.bi[b-a5yb1dxk3y] {
    font-size: 1.5rem;
    padding-inline-start: .5rem;
}
/* /Components/Layout/HomeLayout.razor.rz.scp.css */
.homeStyle[b-h2tmdtp8hd] {
    background: linear-gradient(to right,rgba(181,53,132,.95)0%,rgba(161,42,247,.8)20%, rgba(25,25,112,.95) 100%)
        ,url("img//NowPlayingBG.jpg");
    color: var(--cf-light-color);
}

/* /Components/Layout/HomeMenu.razor.rz.scp.css */
.navStyle[b-l6hyr80coo]{
    background-color: var(--cf-theme-850);
}

.nav-item[b-l6hyr80coo] {
    --bs-navbar-hover-color: var(--cf-theme-400);
    --bs-nav-link-hover-color: var(--cf-theme-400);
}

.dropdown-menu[b-l6hyr80coo] {
    background-color: var(--cf-theme-900);
}

.dropdown:has(.nav-link.active) .dropdown-toggle[b-l6hyr80coo] {
    color: var(--bs-navbar-active-color);
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-el1m12ddun] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-el1m12ddun] {
    flex: 1;
}

.sidebar[b-el1m12ddun] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-el1m12ddun] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-el1m12ddun]  a, .top-row[b-el1m12ddun]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-el1m12ddun]  a:hover, .top-row[b-el1m12ddun]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-el1m12ddun]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-el1m12ddun] {
        justify-content: space-between;
    }

    .top-row[b-el1m12ddun]  a, .top-row[b-el1m12ddun]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-el1m12ddun] {
        flex-direction: row;
    }

    .sidebar[b-el1m12ddun] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-el1m12ddun] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-el1m12ddun]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-el1m12ddun], article[b-el1m12ddun] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-or287qwac6] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-or287qwac6] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-or287qwac6] {
    font-size: 1.1rem;
}

.bi[b-or287qwac6] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-or287qwac6] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-or287qwac6] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-or287qwac6] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-or287qwac6] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-or287qwac6] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-or287qwac6] {
        padding-bottom: 1rem;
    }

    .nav-item[b-or287qwac6]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-or287qwac6]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-or287qwac6]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-or287qwac6] {
        display: none;
    }

    .collapse[b-or287qwac6] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-or287qwac6] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Components/Layout/TopNavFooter.razor.rz.scp.css */
.footerStyle[b-7lk5g7fayc] {
    background-color: var(--cf-theme-900);
}

.footerStyle a[b-7lk5g7fayc] {
    color: var(--cf-theme-200);
}

.footerStyle a:hover[b-7lk5g7fayc] {
    color: var(--cf-theme-core);
}

.bi[b-7lk5g7fayc] {
    font-size: 1.5rem;
    padding-inline-start: .5rem;
}
/* /Components/Layout/TopNavMenu.razor.rz.scp.css */
.navStyle[b-s3qgo2wpnv]{
    background-color: var(--cf-theme-900);
}

.nav-item[b-s3qgo2wpnv] {
    --bs-navbar-hover-color: var(--cf-theme-400);
    --bs-nav-link-hover-color: var(--cf-theme-400);
}

.dropdown-menu[b-s3qgo2wpnv] {
    background-color: var(--cf-theme-900);
}

.dropdown:has(.nav-link.active) .dropdown-toggle[b-s3qgo2wpnv] {
    color: var(--bs-navbar-active-color);
}

[b-s3qgo2wpnv] form form-control {
    background-color: var(--cf-theme-800);
    border: 1px solid var(--cf-theme-700);
    color: var(--cf-theme-200);
}
/* /Components/Pages/Home.razor.rz.scp.css */
.pageStyle[b-uymykhpkjf] {
    background: url(img/brand/LandingPageBG.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.title[b-uymykhpkjf] {
    font-family: var(--cf-title-font);
    font-size: 3rem;
    color: var(--cf-theme-100);
    line-height: 3rem;
}

.subTitle[b-uymykhpkjf] {
    font-size: 1.5rem;
    font-family: var(--cf-body-font);
    color: var(--cf-theme-150);
    line-height: 3rem;
}

body[b-uymykhpkjf] {
    color: var(--cf-rheme-100);
}

.devicons[b-uymykhpkjf] {
    font-size: 2rem;
}

.btn-home[b-uymykhpkjf] {
    --bs-btn-bg: var(--cf-theme-500);
    --bs-btn-border-color: var(--cf-theme-400);
    --bs-btn-hover-bg: var(--cf-theme-300);
    --bs-btn-hover-border-color: var(--cf-theme-900);
    --bs-btn-hover-color: var(--cf-theme-900);
    --bs-btn-active-bg: var(--cf-theme-500);
    --bs-btn-active-border-color: var(--cf-theme-500);
    --bs-btn-disabled-bg: var(--cf-theme-200);
    --bs-btn-disabled-border-color: var(--cf-theme-200);
}


@media (min-widthe: 992px) {
    .title[b-uymykhpkjf] {
        font-family: var(--cf-title-font);
        font-size: 3.5rem;
        color: var(--cf-theme-150);
        line-height: 3.5rem;
    }

    .subTitle[b-uymykhpkjf] {
        font-size: 2rem;
        font-family: var(--cf-body-font);
        color: var(--cf-theme-150);
        line-height: 3.5rem;
    }

    .devicons[b-uymykhpkjf] {
        font-size: 2.5rem;
    }
}
/* /Components/Pages/MovieById.razor.rz.scp.css */
#movie-details[b-plg0vmlrxw] {
    background: linear-gradient(rgba(2,2,2,0.5), rgba(0,0,0,0.9)),var(--background);
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    color: white;
    fw-bolder;
}

    #movie-details h1[b-plg0vmlrxw],
    #movie-details h2[b-plg0vmlrxw],
    #movie-details h3[b-plg0vmlrxw],
    #movie-details h4[b-plg0vmlrxw],
    #movie-details h5[b-plg0vmlrxw] {
        color: var(--cf-theme-300);
    }


#movie-wrapper[b-plg0vmlrxw] {
    backdrop-filter: blur(2px);
}

#movie-poster[b-plg0vmlrxw] {
    border-radius: 15px;
    border-color: rgb(255,255,255,.6);
    border-width: 1px;
    max-width: 300px;
    width: 100%;
    height: auto;
}

.modal-background[b-plg0vmlrxw] {
    background-color: var(--cf-theme-900);
    color: var(--cf-theme-100);
}

.modal-header button[b-plg0vmlrxw] {
    color: var(--bs-warning);
    background-color: transparent;
    border: none;
    font-size: 2rem;
}
/* /Components/UI/ActorSwiper/ActorSwiper.razor.rz.scp.css */
.swiper-container[b-2f4lzu6fmg] {
    position: relative;
    background-color: var(--cf-theme-100);
    border-radius: 10px 10px;
}

    .swiper-container button[b-2f4lzu6fmg] {
        position: absolute;
        color: var(--cf-theme-800);
        background-color: var(--cf-theme-150);
        height: 3rem;
        width: 3rem;
        font-size: 1.5rem;
        border: solid 1px var(--cf-theme-300);
        box-shadow: 1px 2px 4px var(--cf-theme-900);
        border-radius: 50%;
        top: calc(50% - 2rem);
    }

    .swiper-container .nav-btn-prev[b-2f4lzu6fmg] {
        left: 1rem;
    }

    .swiper-container .nav-btn-next[b-2f4lzu6fmg] {
        right: 1rem;
    }

    .swiper-content[b-2f4lzu6fmg] {
        padding: .5rem 4rem;
        scroll-behavior: smooth;
    }

    .swiper-content[b-2f4lzu6fmg]::-webkit-scrollbar {
        height: 6px;
    }

    .swiper-content[b-2f4lzu6fmg]::-webkit-scrollbar-track {
        background-color: var(--cf-gray-300);
        border-radius: 5px;
    }

    .swiper-content[b-2f4lzu6fmg]::-webkit-scrollbar-thumb {
        background: var(--cf-theme-800);
        border-radius: 5px;
    }

    @supports not selector(::-webkit-scrollbar) {
        .swiper-content[b-2f4lzu6fmg] {
            scrollbar-color: var(--df-theme-800) var(--cf-gray-300);
            scrollbar-width: thin;
        }
    }
/* /Components/UI/ActorSwiper/ActorSwiperItem.razor.rz.scp.css */

.actor-img[b-uldlkvpo7r] {
    height: 8rem;
    border-radius: 50%;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
}
/* /Components/UI/MovieCard.razor.rz.scp.css */

.movie-card[b-kk7jg45jt8] {
    transition: transform 0.2s ease-in-out;
}

.movie-card:hover[b-kk7jg45jt8] {
    box-shadow: 0 4px 8px rgba(249,19,208);
    transform: scale(1.03);
    z-index: 99;
}

.movie-card-footer .btn[b-kk7jg45jt8] {
    font-size: .9rem;
}
/* /Components/UI/TrailerFallback.razor.rz.scp.css */
.trailer-fallback[b-a1oxkf2puh] {
    max-width: 600px;
    margin: auto;
}

.play-overlay[b-a1oxkf2puh] {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0,0,0,0.6);
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 50%;
    color: white;
}
